# eric7.Preferences.ConfigurationPages.EditorAPIsPage

Module implementing the Editor APIs configuration page.

### Global Attributes

None

### Classes

EditorAPIsPage | Class implementing the Editor APIs configuration page.

### Functions

create | Module function to create the configuration page.

## EditorAPIsPage

Class implementing the Editor APIs configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorAPIsPage

### Class Attributes

None

### Class Methods

None

### Methods

EditorAPIsPage | Constructor
__apiKey | Private method to generate a key for the apis dictionary.
__apiPreparationCancelled | Private slot called after the API preparation has been cancelled.
__apiPreparationFinished | Private method called after the API preparation has finished.
__apiPreparationStarted | Private method called after the API preparation has started.
__editorGetApisFromApiList | Private slot to retrieve the api filenames from the list.
__fillApisList | Private slot to fill the list of API files.
__fillProjectTypeComboBox | Private slot to fill the selection of available project types for the given language.
on_addApiFileButton_clicked | Private slot to add the api file displayed to the listbox.
on_addInstalledApiFileButton_clicked | Private slot to add an API file from the list of installed API files for the selected lexer language.
on_addPluginApiFileButton_clicked | Private slot to add an API file from the list of API files installed by plugins for the selected lexer language.
on_apiFilePicker_textChanged | Private slot to handle the entering of an API file name.
on_apiLanguageComboBox_activated | Private slot to fill the api listbox of the api page.
on_apiList_itemSelectionChanged | Private slot to react on changes of API selections.
on_deleteApiFileButton_clicked | Private slot to delete the currently selected file of the listbox.
on_prepareApiButton_clicked | Private slot to prepare the API file for the currently selected language.
on_projectTypeComboBox_activated | Private slot to handle the selection of a project type.
save | Public slot to save the Editor APIs configuration.
saveState | Public method to save the current state of the widget.
setState | Public method to set the state of the widget.

### Static Methods

None

#### EditorAPIsPage (Constructor)

EditorAPIsPage()

Constructor

#### EditorAPIsPage.__apiKey

__apiKey(language, projectType)

Private method to generate a key for the apis dictionary.

language (str)
  programming language of the API
projectType (str)
  project type of the API

Return:
  key to be used

Return Type:
  str

#### EditorAPIsPage.__apiPreparationCancelled

__apiPreparationCancelled()

Private slot called after the API preparation has been cancelled.

#### EditorAPIsPage.__apiPreparationFinished

__apiPreparationFinished()

Private method called after the API preparation has finished.

#### EditorAPIsPage.__apiPreparationStarted

__apiPreparationStarted()

Private method called after the API preparation has started.

#### EditorAPIsPage.__editorGetApisFromApiList

__editorGetApisFromApiList()

Private slot to retrieve the api filenames from the list.

Return:
  list of api filenames (list of strings)

#### EditorAPIsPage.__fillApisList

__fillApisList()

Private slot to fill the list of API files.

#### EditorAPIsPage.__fillProjectTypeComboBox

__fillProjectTypeComboBox(language)

Private slot to fill the selection of available project types for the given language.

language (str)
  selected API language

#### EditorAPIsPage.on_addApiFileButton_clicked

on_addApiFileButton_clicked()

Private slot to add the api file displayed to the listbox.

#### EditorAPIsPage.on_addInstalledApiFileButton_clicked

on_addInstalledApiFileButton_clicked()

Private slot to add an API file from the list of installed API files for the selected lexer language.

#### EditorAPIsPage.on_addPluginApiFileButton_clicked

on_addPluginApiFileButton_clicked()

Private slot to add an API file from the list of API files installed by plugins for the selected lexer language.

#### EditorAPIsPage.on_apiFilePicker_textChanged

on_apiFilePicker_textChanged(txt)

Private slot to handle the entering of an API file name.

txt
  text of the line edit (string)

#### EditorAPIsPage.on_apiLanguageComboBox_activated

on_apiLanguageComboBox_activated(index)

Private slot to fill the api listbox of the api page.

index (int)
  index of the selected entry

#### EditorAPIsPage.on_apiList_itemSelectionChanged

on_apiList_itemSelectionChanged()

Private slot to react on changes of API selections.

#### EditorAPIsPage.on_deleteApiFileButton_clicked

on_deleteApiFileButton_clicked()

Private slot to delete the currently selected file of the listbox.

#### EditorAPIsPage.on_prepareApiButton_clicked

on_prepareApiButton_clicked()

Private slot to prepare the API file for the currently selected language.

#### EditorAPIsPage.on_projectTypeComboBox_activated

on_projectTypeComboBox_activated(index)

Private slot to handle the selection of a project type.

index (str)
  index of the selected entry

#### EditorAPIsPage.save

save()

Public slot to save the Editor APIs configuration.

#### EditorAPIsPage.saveState

saveState()

Public method to save the current state of the widget.

Return:
  tuple containing the index of the selected lexer language and the index of the selected project type

Return Type:
  tuple of int and int

#### EditorAPIsPage.setState

setState(state)

Public method to set the state of the widget.

state
  state data generated by saveState

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Return:
  reference to the instantiated page (ConfigurationPageBase)

Up